package org.websparrow.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

@Configuration
@ConfigurationProperties("spring.datasource")
public class DatabaseConfig {

	// Generate Getters and Setters...
	private String url;
	private String username;

	@Profile("development")
	@Bean
	public String developmentConnectionStrings() {
		System.out.println("DB connection for 'DEVELOPMENT'");
		System.out.println(username);
		System.out.println(url);
		return "DEV Enviroment Connected!";
	}

	@Profile("production")
	@Bean
	public String productionConnectionStrings() {
		System.out.println("DB connection for 'PRODUCTION'");
		System.out.println(username);
		System.out.println(url);
		return "PROD Enviroment Connected!";
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

}
